Bug 860938 - [abrt] python-2.7.3-13.fc18: _gtk_char_segment_new: Process /usr/bin/python2.7 was killed by signal 6 (SIGABRT)
[abrt] python-2.7.3-13.fc18: _gtk_char_segment_new: Process /usr/bin/python2....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virtaal (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dwayne Bailey
Fedora Extras Quality Assurance
abrt_hash:409a6534026543924e4d80f7f40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 02:54 EDT by Abhay
Modified: 2014-02-05 07:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.69 KB, text/plain)
2012-09-27 02:54 EDT, Abhay
no flags Details
File: environ (1.34 KB, text/plain)
2012-09-27 02:54 EDT, Abhay
no flags Details
File: backtrace (57.59 KB, text/plain)
2012-09-27 02:54 EDT, Abhay
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-27 02:54 EDT, Abhay
no flags Details
File: cgroup (128 bytes, text/plain)
2012-09-27 02:54 EDT, Abhay
no flags Details
File: maps (79.04 KB, text/plain)
2012-09-27 02:55 EDT, Abhay
no flags Details
File: dso_list (16.56 KB, text/plain)
2012-09-27 02:55 EDT, Abhay
no flags Details
File: var_log_messages (155 bytes, text/plain)
2012-09-27 02:55 EDT, Abhay
no flags Details
File: open_fds (736 bytes, text/plain)
2012-09-27 02:55 EDT, Abhay
no flags Details
the .po file (113.73 KB, text/x-gettext-translation)
2012-09-28 08:24 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-09-27 02:54:25 EDT
Version-Release number of selected component:
python-2.7.3-13.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/virtaal '/run/media/abhay/New Volume/abhay/gnome/trans/epiphany-master-po-mr-EDITED_VERSION.po'
crash_function: _gtk_char_segment_new
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #4 _gtk_char_segment_new at gtktextsegment.c
: #6 char_segment_split_func at gtktextsegment.c
: #7 gtk_text_line_segment_split at gtktextsegment.c
: #8 gtk_text_btree_link_segment at gtktextbtree.c
: #9 real_set_mark at gtktextbtree.c
: #10 _gtk_text_btree_select_range at gtktextbtree.c
: #11 gtk_text_buffer_select_range at gtktextbuffer.c
: #12 gtk_text_view_start_selection_drag at gtktextview.c
: #14 gtk_text_view_button_press_event at gtktextview.c
: #15 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c
Comment 1 Abhay 2012-09-27 02:54:33 EDT
Created attachment 617911 [details]
File: core_backtrace
Comment 2 Abhay 2012-09-27 02:54:38 EDT
Created attachment 617912 [details]
File: environ
Comment 3 Abhay 2012-09-27 02:54:47 EDT
Created attachment 617913 [details]
File: backtrace
Comment 4 Abhay 2012-09-27 02:54:51 EDT
Created attachment 617914 [details]
File: limits
Comment 5 Abhay 2012-09-27 02:54:56 EDT
Created attachment 617915 [details]
File: cgroup
Comment 6 Abhay 2012-09-27 02:55:07 EDT
Created attachment 617916 [details]
File: maps
Comment 7 Abhay 2012-09-27 02:55:13 EDT
Created attachment 617917 [details]
File: dso_list
Comment 8 Abhay 2012-09-27 02:55:18 EDT
Created attachment 617918 [details]
File: var_log_messages
Comment 9 Abhay 2012-09-27 02:55:23 EDT
Created attachment 617919 [details]
File: open_fds
Comment 10 Dave Malcolm 2012-09-27 11:54:17 EDT
Thanks for filing this bug report.

Looking at attachment 617913 [details] I see the error was:
"Gtk:ERROR:gtktextsegment.c:196:_gtk_char_segment_new: assertion failed: (gtk_text_byte_begins_utf8_char (text))

This would appear to be an error in virtaal, gtk, or pygtk.

What is the output of:
   rpm -q virtaal gtk2 pygtk
Comment 11 Abhay 2012-09-27 23:23:56 EDT
(In reply to comment #10)
> Thanks for filing this bug report.
> 
> Looking at attachment 617913 [details] I see the error was:
> "Gtk:ERROR:gtktextsegment.c:196:_gtk_char_segment_new: assertion failed:
> (gtk_text_byte_begins_utf8_char (text))
> 
> This would appear to be an error in virtaal, gtk, or pygtk.
> 

Yes, i was using Virtaal when the crash occured.

> What is the output of:
>    rpm -q virtaal gtk2 pygtk

virtaal-0.7.1-2.fc18.noarch
gtk2-2.24.12-1.fc18.x86_64
pygtk2-2.24.0-5.fc18.x86_64
Comment 12 Dwayne Bailey 2012-09-28 05:44:00 EDT
Abhay, are you able to replicate this crash at all?

Just in case is it possible to attach the PO you where editing?
Comment 13 Abhay 2012-09-28 08:24:57 EDT
Created attachment 618541 [details]
the .po file

I was editing this file when the crash occurred. I was able to reproduce it then, but now i don't remember the exact word or sentence i was translating.
Comment 14 Fedora End Of Life 2013-12-21 03:58:06 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:21:10 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.